Main Page Class Hierarchy Compound List File List Compound Members

# Circle Class Reference

`#include <arc.h>`

Inheritance diagram for Circle:

List of all members.

## Public Methods
void | OWrite (Driver_out &where)
void | DoWrite (DrawDriver &dr)
BoundingBox & | CalcBoundingBox ()
| calculate the bounding box
TYPE | GetType ()
| get the element type NON,BOUNDARY,PATH,TEXT,SREF,AREF,ARCSEG,BOX,CIRCLE
void | Transform (wxTransformMatrix *_Matrix)
| tranform the element given a matrix
void | Convert (G_Polygon *_polygon, double marge)
| convert primitive to polygon
Element * | Duplicate ()
bool | Select (Point *)
| select the element if Point is within it
bool | Select (BoundingBox *, wxTransformMatrix *)
wxPropertySheet * | GetPropList ()
| get property list
void | UpdatePropList ()
| update property list (remove members of object)

## Detailed Description

c_des: Element of type Circle (circle with a width parameter) c_des: See also class Shape rel_type: class: ElementList

## Member Function Documentation

bool Circle::Select | ( | BoundingBox * | ,
|  | wxTransformMatrix * |
| ) | `[virtual]`

| select the element if is within the box. matrix is used to calculate the relative BoundingBox within structures Implements Element.

The documentation for this class was generated from the following file:

- arc.h

Circle class Reference -- Thu Nov 28 21:24:56 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page